#ifndef MONEYITEM_H
#define MONEYITEM_H

#include <QGraphicsItem>
#include <QPen>

class MoneyItem : public QGraphicsItem
{
public:
    explicit MoneyItem(QGraphicsItem *parent = 0);
    QRectF boundingRect() const;
    void setMoney(unsigned long long int val) {money = val;}
    void setText(const QString &text) {str = text;}
    void setColor(const QColor &color) {pen.setColor(color);}

private:
    void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);

    unsigned long long int money;
    QString str;
    QRectF br;
    QPen pen;
};

#endif // MONEYITEM_H
